package com.kiisoo.ic.common;

import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

/**
 * 消费者
 */
@Setter
@Slf4j
public class DisruptorConsume extends AbstractMsgEventHandler {

    /** 回调业务 */
    private DisruptorCallackI disruptorCallack;

    @Override
    public void handler(DisruptorDataI dataMsg) {
        try {
            disruptorCallack.handel(dataMsg);
        }catch (Exception e){
            log.error("DisruptorConsume error",e);
        }

    }

}
